summaryrefslogtreecommitdiffstats
path: root/source/xap/fvwm
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/fvwm')
-rw-r--r--source/xap/fvwm/fvwm-2.6.7-symlink-fix.patch15
-rwxr-xr-xsource/xap/fvwm/fvwm.SlackBuild23
-rw-r--r--source/xap/fvwm/slack-desc12
3 files changed, 38 insertions, 12 deletions
diff --git a/source/xap/fvwm/fvwm-2.6.7-symlink-fix.patch b/source/xap/fvwm/fvwm-2.6.7-symlink-fix.patch
new file mode 100644
index 000000000..89f02f344
--- /dev/null
+++ b/source/xap/fvwm/fvwm-2.6.7-symlink-fix.patch
@@ -0,0 +1,15 @@
+--- a/default-config/Makefile.am 2017-01-20 22:30:43.356970266 +0000
++++ b/default-config/Makefile.am 2017-01-20 22:49:56.060484603 +0000
+@@ -17,9 +17,9 @@
+
+ install-data-hook:
+ cp -r $(srcdir)/images $(inst_location)
+- ln -sf $(inst_location)/FvwmScript-DateTime $(inst_location)/..
+- ln -sf $(inst_location)/FvwmScript-ConfirmQuit $(inst_location)/..
+- ln -sf $(inst_location)/FvwmScript-ConfirmCopyConfig $(inst_location)/..
++ ln -sf default-config/FvwmScript-DateTime $(inst_location)/..
++ ln -sf default-config/FvwmScript-ConfirmQuit $(inst_location)/..
++ ln -sf default-config/FvwmScript-ConfirmCopyConfig $(inst_location)/..
+
+ uninstall-hook:
+ rm -fr $(DESTDIR)/$(configdir)
diff --git a/source/xap/fvwm/fvwm.SlackBuild b/source/xap/fvwm/fvwm.SlackBuild
index ddd373d93..c2696016b 100755
--- a/source/xap/fvwm/fvwm.SlackBuild
+++ b/source/xap/fvwm/fvwm.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2011, 2012, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2011, 2012, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fvwm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -35,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -51,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -69,6 +77,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix broken symlinks:
+zcat $CWD/fvwm-2.6.7-symlink-fix.patch.gz | patch -p1 --verbose || exit 1
+
+autoreconf -vif
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -76,8 +89,6 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
- --disable-bidi \
- --disable-gtk \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux || exit 1
diff --git a/source/xap/fvwm/slack-desc b/source/xap/fvwm/slack-desc
index d616afa4d..35dbb7964 100644
--- a/source/xap/fvwm/slack-desc
+++ b/source/xap/fvwm/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
fvwm: fvwm (a small and fast virtual window manager for X)
fvwm:
fvwm: Fvwm is the classic highly-configurable virtual window manager for
-fvwm: X11. It is a derivative of twm, redesigned to minimize memory
+fvwm: X11. It is a derivative of twm, redesigned to minimize memory
fvwm: consumption, provide a 3-D look to window frames, and provide a simple
fvwm: virtual desktop.
fvwm:
-fvwm: Homepage: http://www.fvwm.org
-fvwm: Development: https://github.com/fvwmorg/fvwm
+fvwm: Homepage: http://www.fvwm.org
+fvwm: Development: https://github.com/fvwmorg/fvwm
fvwm:
fvwm: